Open CASCADE Technology: Geom2d_CartesianPoint Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Geom2d_CartesianPoint Class Reference

Describes a point in 2D space. A Geom2d_CartesianPoint is defined by a gp_Pnt2d point, with its two Cartesian coordinates X and Y. More...

`#include <Geom2d_CartesianPoint.hxx>`

Inheritance diagram for Geom2d_CartesianPoint:
[legend]

## Public Member Functions
| Geom2d_CartesianPoint (const gp_Pnt2d &P)
| Returns a persistent copy of P. More...
| Geom2d_CartesianPoint (const Standard_Real X, const Standard_Real Y)
void | SetCoord (const Standard_Real X, const Standard_Real Y)
| Set <me> to X, Y coordinates. More...
void | SetPnt2d (const gp_Pnt2d &P)
| Set <me> to P.X(), P.Y() coordinates. More...
void | SetX (const Standard_Real X)
| Changes the X coordinate of me. More...
void | SetY (const Standard_Real Y)
| Changes the Y coordinate of me. More...
void | Coord (Standard_Real &X, Standard_Real &Y) const
| Returns the coordinates of <me>. More...
gp_Pnt2d | Pnt2d () const
| Returns a non persistent cartesian point with the same coordinates as <me>. -C++: return const&. More...
Standard_Real | X () const
| Returns the X coordinate of <me>. More...
Standard_Real | Y () const
| Returns the Y coordinate of <me>. More...
void | Transform (const gp_Trsf2d &T)
| Transformation of a geometric object. This tansformation can be a translation, a rotation, a symmetry, a scaling or a complex transformation obtained by combination of the previous elementaries transformations. (see class Transformation of the package Geom2d). The following transformations have the same properties as the previous ones but they don't modified the object itself. A copy of the object is returned. More...
Handle< Geom2d_Geometry > | Copy () const
Public Member Functions inherited from Geom2d_Point
Standard_Real | Distance (const Handle< Geom2d_Point > &Other) const
| computes the distance between <me> and <Other>. More...
Standard_Real | SquareDistance (const Handle< Geom2d_Point > &Other) const
| computes the square distance between <me> and <Other>. More...
Public Member Functions inherited from Geom2d_Geometry
void | Mirror (const gp_Pnt2d &P)
| Performs the symmetrical transformation of a Geometry with respect to the point P which is the center of the symmetry and assigns the result to this geometric object. More...
void | Mirror (const gp_Ax2d &A)
| Performs the symmetrical transformation of a Geometry with respect to an axis placement which is the axis of the symmetry. More...
void | Rotate (const gp_Pnt2d &P, const Standard_Real Ang)
| Rotates a Geometry. P is the center of the rotation. Ang is the angular value of the rotation in radians. More...
void | Scale (const gp_Pnt2d &P, const Standard_Real S)
| Scales a Geometry. S is the scaling value. More...
void | Translate (const gp_Vec2d &V)
| Translates a Geometry. V is the vector of the tanslation. More...
void | Translate (const gp_Pnt2d &P1, const gp_Pnt2d &P2)
| Translates a Geometry from the point P1 to the point P2. More...
Handle< Geom2d_Geometry > | Mirrored (const gp_Pnt2d &P) const
Handle< Geom2d_Geometry > | Mirrored (const gp_Ax2d &A) const
Handle< Geom2d_Geometry > | Rotated (const gp_Pnt2d &P, const Standard_Real Ang) const
Handle< Geom2d_Geometry > | Scaled (const gp_Pnt2d &P, const Standard_Real S) const
Handle< Geom2d_Geometry > | Transformed (const gp_Trsf2d &T) const
Handle< Geom2d_Geometry > | Translated (const gp_Vec2d &V) const
Handle< Geom2d_Geometry > | Translated (const gp_Pnt2d &P1, const gp_Pnt2d &P2) const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Describes a point in 2D space. A Geom2d_CartesianPoint is defined by a gp_Pnt2d point, with its two Cartesian coordinates X and Y.

## Constructor & Destructor Documentation

Geom2d_CartesianPoint::Geom2d_CartesianPoint | ( | const gp_Pnt2d & | P | ) |

Returns a persistent copy of P.

Geom2d_CartesianPoint::Geom2d_CartesianPoint | ( | const Standard_Real | X,
|  | const Standard_Real | Y
| ) |  |

## Member Function Documentation

void Geom2d_CartesianPoint::Coord | ( | Standard_Real & | X,
|  | Standard_Real & | Y
| ) |  | const
| virtual

Returns the coordinates of <me>.

Implements Geom2d_Point.

Handle< Geom2d_Geometry > Geom2d_CartesianPoint::Copy | ( |  | ) | const
| virtual

Implements Geom2d_Geometry.

gp_Pnt2d Geom2d_CartesianPoint::Pnt2d | ( |  | ) | const
| virtual

Returns a non persistent cartesian point with the same coordinates as <me>. -C++: return const&.

Implements Geom2d_Point.

void Geom2d_CartesianPoint::SetCoord | ( | const Standard_Real | X,
|  | const Standard_Real | Y
| ) |  |

Set <me> to X, Y coordinates.

void Geom2d_CartesianPoint::SetPnt2d | ( | const gp_Pnt2d & | P | ) |

Set <me> to P.X(), P.Y() coordinates.

void Geom2d_CartesianPoint::SetX | ( | const Standard_Real | X | ) |

Changes the X coordinate of me.

void Geom2d_CartesianPoint::SetY | ( | const Standard_Real | Y | ) |

Changes the Y coordinate of me.

void Geom2d_CartesianPoint::Transform | ( | const gp_Trsf2d & | T | ) |
| virtual

Transformation of a geometric object. This tansformation can be a translation, a rotation, a symmetry, a scaling or a complex transformation obtained by combination of the previous elementaries transformations. (see class Transformation of the package Geom2d). The following transformations have the same properties as the previous ones but they don't modified the object itself. A copy of the object is returned.

Implements Geom2d_Geometry.

Standard_Real Geom2d_CartesianPoint::X | ( |  | ) | const
| virtual

Returns the X coordinate of <me>.

Implements Geom2d_Point.

Standard_Real Geom2d_CartesianPoint::Y | ( |  | ) | const
| virtual

Returns the Y coordinate of <me>.

Implements Geom2d_Point.

The documentation for this class was generated from the following file:

- Geom2d_CartesianPoint.hxx